%global drv_vendor OpenDaylight
%global pkgname networking-odl
%global srcname networking_odl
%global docpath doc/build/html

%{!?upstream_version: %global upstream_version %{version}}

Name:           python-%{pkgname}
Epoch:          1
Version:        3.2.0
Release:        4%{?dist}
Provides:        python2-networking-odl = %{epoch}:%{version}-%{release}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://tarballs.openstack.org/%{pkgname}/%{pkgname}-%{version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=3.2.0
#
Patch0001: 0001-Add-seqnum-to-dependency-checks.patch
Patch0002: 0002-mech-driver-v2-build-dict-for-sg-on-update.patch
Patch0003: 0003-Send-MAC-updates-to-ODL-for-SRIOV-PFs.patch
Patch0004: 0004-devstack-improve-odl-release-definition.patch
Patch0005: 0005-Fix-devstack-for-fedora-25.patch
Patch0006: 0006-devstack-check-latest-revision-of-ODL-snapshot.patch
Patch0007: 0007-devstack-use-localrc_set-and-use-local.conf.patch
Patch0008: 0008-Use-journal.record-everywhere.patch
Patch0009: 0009-Remove-subunit-trace-fork.patch
Patch0010: 0010-don-t-use-run_process-for-odl.patch
Patch0011: 0011-port-binding-trim-port_prefix-PORT_ID-to-14-length.patch
Patch0012: 0012-Fix-vhost-string-comparison.patch
Patch0013: 0013-delete-sg-rule-on-sg-deletion-on-ODL-neutron-northbo.patch
Patch0014: 0014-Fix-the-update-of-qos-policy.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-mock
#BuildRequires:  python-neutron-tests
BuildRequires:  python-oslo-sphinx
#BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
BuildRequires:  python-webtest
BuildRequires:  git

Requires:       openstack-neutron-ml2
Requires:       python-babel
Requires:       python-pbr


%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%prep
%autosetup -n %{pkgname}-%{upstream_version} -S git


%build
rm requirements.txt test-requirements.txt
%{__python2} setup.py build
%{__python2} setup.py build_sphinx
rm %{docpath}/.buildinfo


#%check
#%{__python2} setup.py testr


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install --skip-build --root %{buildroot}

# Move config file to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
mv %{buildroot}/usr/etc/neutron/* %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
chmod 640 %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini


%files
%license LICENSE
%doc %{docpath}
%{_bindir}/neutron-odl-ovs-hostconfig
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ml2/*.ini

%changelog
* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 1:3.2.0-4
- Fix the update of qos-policy
- delete sg rule on sg deletion on ODL neutron northbound
- Fix vhost string comparison
- port binding: trim port_prefix + PORT_ID to 14 length
- don't use run_process for odl
- Remove subunit-trace fork
- Use journal.record everywhere
- devstack: use localrc_set and use local.conf
- devstack: check latest revision of ODL snapshot
- Fix devstack for fedora 25
- devstack: improve odl-release definition

* Fri Jun 16 2017 Victor Pickard <vpickard@redhat.com> 1:3.2.0-3
- Send MAC updates to ODL for SRIOV PFs (rhbz#1460745)

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 1:3.2.0-2
- mech driver v2: build dict for sg on update (rhbz#1413178)
- Add seqnum to dependency checks (rhbz#1413177)

* Mon Jan 09 2017 Jon Schlueter <jschluet@redhat.com> 1:3.2.0-1
- Update to 3.2.0 (rhbz#1411834)

* Tue Nov 22 2016 Jon Schlueter <jschluet@redhat.com> 1:3.1.0-1
- Update to 3.1.0

* Wed Nov 09 2016 Alan Pevec <alan.pevec@redhat.com> 1:3.0.0-1
- Update to 3.0.0

* Wed Oct 5 2016 Alfredo Moralejo <amoralej@redhat.com> - 1:2.0.1-0.1.f95b320git
- Update to post 2.0.0 (f95b3204f8adc3f6942031c8c0d7c114e51e3318)

* Wed Jun 29 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1:2.0.0-1
- Upstream 2.0.0

